#!/bin/bash

#
#  Copyright (c) 2011  Finnbarr P. Murphy
#
#  Generate sitemaps per sitemaps.org for google.com
#

. ./config

printf "%s" "Making sitemaps ... "

cd ..
find manpages/ -type f -name "*.html" | xargs -i printf "%s\n" "<url><loc>$SITE/{}</loc></url>" | split -l 50000 - sitemap_

sitemaps=$(ls sitemap_??)
for i in $sitemaps 
do
    printf "%s\n" "<?xml version='1.0' encoding='UTF-8'?>" > $i.xml
    printf "%s\n" "<urlset xmlns='http://www.sitemaps.org/schemas/sitemap/0.9'>" >> $i.xml
    cat "$i" >> $i.xml
    printf "%s\n" "</urlset>" >> "$i.xml"
    rm -f "$i"
done

printf "%s\n" "Done"
exit 0
